import request from '@/utils/request'

// 查询平台支持游戏列表
export function listGame(query) {
  return request({
    url: '/system/game/list',
    method: 'get',
    params: query
  })
}

// 查询平台支持游戏详细
export function getGame(id) {
  return request({
    url: '/system/game/' + id,
    method: 'get'
  })
}

// 新增平台支持游戏
export function addGame(data) {
  return request({
    url: '/system/game',
    method: 'post',
    data: data
  })
}

// 修改平台支持游戏
export function updateGame(data) {
  return request({
    url: '/system/game',
    method: 'put',
    data: data
  })
}

// 删除平台支持游戏
export function delGame(id) {
  return request({
    url: '/system/game/' + id,
    method: 'delete'
  })
}
